%------------------------------------------------------------------------------
% middleware.tex - explanation of a middleware
%------------------------------------------------------------------------------
% author : Manuel Bentele
% date   : 01.05.2017
% project: Student research for the SeeSat project: Middleware 2016/2017
%------------------------------------------------------------------------------

\section{Middleware}

\input{middleware/what_is_middleware}

\input{middleware/requirements}

\input{middleware/types}

\input{middleware/layer_model}

\input{middleware/communication}

\input{middleware/time_and_space_partitioning}

\input{middleware/software_architecture}